Package org.apache.catalina.core

## Class ContainerBase.ContainerBackgroundProcessor

- java.lang.Object
- - org.apache.catalina.core.ContainerBase.ContainerBackgroundProcessor

- All Implemented Interfaces:
    `java.lang.Runnable`
  Enclosing class:
    ContainerBase

      protected class ContainerBase.ContainerBackgroundProcessor
      extends java.lang.Object
      implements java.lang.Runnable

  Private runnable class to invoke the backgroundProcess method of this container and its children after a fixed delay.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ContainerBackgroundProcessor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `processChildren​(Container container)` |
    `void` | `run()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerBackgroundProcessor

          protected ContainerBackgroundProcessor()

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### processChildren

          protected void processChildren​(Container container)